# ThinkFanD

ThinkPad fan control daemon с поддержкой автоматического управления температурой.

## Установка

```bash
cargo build --release
sudo cp target/release/thinkfand /usr/local/bin/
sudo cp target/release/thinkfanctl /usr/local/bin/
sudo cp thinkfan.conf.example /etc/thinkfan.conf
```

## Использование

### Демон

Запуск демона:
```bash
sudo thinkfand -d
```

### Управление

Установка уровня вентилятора (0-7):
```bash
sudo thinkfand -l 5
```

Автоматический режим:
```bash
sudo thinkfand -a
```

Просмотр статуса:
```bash
thinkfand
```

### ThinkFanCtl

Управление демоном:
```bash
# Запуск
sudo thinkfanctl start

# Остановка
sudo thinkfanctl stop

# Перезапуск
sudo thinkfanctl restart

# Статус
thinkfanctl status

# Установка уровня
sudo thinkfanctl level 5

# Автоматический режим
sudo thinkfanctl auto

# Обновление конфига
sudo thinkfanctl config /path/to/config.json
```

## Конфигурация

Файл `/etc/thinkfan.conf` в формате JSON:

```json
{
  "sensors": ["thinkpad-isa-0000", "k10temp-pci-00c3"],
  "levels": [
    {"temp": 0.0, "level": 0},
    {"temp": 50.0, "level": 2},
    {"temp": 60.0, "level": 4},
    {"temp": 70.0, "level": 6},
    {"temp": 80.0, "level": 7}
  ]
}
```

## Systemd

Установка сервиса:
```bash
sudo cp thinkfand.service /etc/systemd/system/
sudo systemctl daemon-reload
sudo systemctl enable thinkfand
sudo systemctl start thinkfand
``` 